#include <iostream>
#include <fstream>
using namespace std;
int main()
{
	ifstream f("de006.inp");
	int a1,a,N,min;
	f>>N;
	f>>a;
	f.close();
	ofstream f1("de006.out");
	while (a>0)
	{
		f1<<0;
	}
	while (a<0)
f>>a1;
if (a1<min) min = a1;
f.close();
f1<<min<<endl;
for (int i=a1;i<=N;i--)
{
if (a1 == min) f1<<i<<endl;
}
f1.close();
return 0;
}
